<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
require_once('../php_api/api.php');

include('json.php');

$dataDocument = json_encode($json,JSON_UNESCAPED_UNICODE);
$fh = fopen("../jsons/".$prefijo.$nom_numero.".json", 'w');
fwrite($fh, $dataDocument);
fclose($fh);

createInvoice($configuration,$json);
function createInvoice($configuration,$json)
{
    global $con;
    global $mysqli;
    global $ser_id;
    global $prefijo;
    global $nom_numero;
    global $nom_fecha_inicio;
    global $nom_fecha_fin;
    global $empl_id;
    global $empresa;
    global $notas;
    global $usu_id;


    global $salario;
        global$valor_salario;
       
    global $transporte;
        global $valor_transporte;
 
    global $dotaciones;
        global $valor_dotaciones;

    global $sostenimiento;
        global $valor_sostenimiento;
       
    global $teletrabajo;
        global $valor_teletrabajo;

    global $retiro;
        global $valor_retiro;
       
    global $imdemnizacion;
        global $valor_imdemnizacion;

    global $comision;
        global $valor_comision;

    global $incapacidad;
        global $valor_incapacidad;
        global $tipo_inc;

    global $maternidad;
        global$valor_maternidad;

    global$licencia;
        global $valor_licencia;

    global $bonificacion;
        global $salarial_bonificacion;
        global $no_salarial_bonificacion;

    global $auxilio;
        global $salarial_auxilio;
        global $no_salarial_auxilio;

    global $huelga;
        global $valor_huelga;

    global $otros;
        global $salarial_otros;
        global $no_salarial_otros;

    global $compensacion;
        global $ordinaria;
        global $extraordinaria;

    global $bonos;
        global $salarial_bonos;
        global $no_salarial_bonos;

    global $terceras;
        global $valor_terceras;

    global $anticipo;
        global $valor_anticipo;

   
    global $salud;
        global $valor_salud;

    global $pension;
        global $valor_pension;

    global $sindicato;
        global $porcentaje;
        global $valor_sindicato;

    global $sancion;
        global $publica;
        global $privada;

    global $pedidos;
        global $valor_pedido;
        global $descripcion;

    global $terceros;
        global $valor_terceros;

    global $anticipo_ded;
        global $valor_anticipo_ded;

    global $otras_deducciones;
        global $valor_otras_deducciones;

    global $voluntaria;
        global $valor_voluntaria;
    
    global $retencion;
        global $valor_retencion;

    global $construccion;
        global $valor_construccion;

    global $cooperativa;
       global $valor_cooperativa;

    global $embargos;
        global $valor_embargos;

    global $suplementario;
        global $valor_suplementario;

    global $educacion;
        global $valor_educacion;

    global $reintegro;
        global $valor_reintegro;

    global $deuda;
        global $valor_deuda;



    global $vacaciones;
        global $vac_pago;

    global $primas;
        global $pri_salarial;
        global $pri_no_salarial;

    global $cesantias;
        global $ces_pago;
        global $ces_pago_interes;

        $suma_cesantias=$ces_pago+$ces_pago_interes;

    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => "{$configuration->base_url}ubl2.1/payroll",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',
        CURLOPT_POSTFIELDS =>json_encode($json),
        CURLOPT_HTTPHEADER => array(
        'Content-Type: application/json',
        'Accept: application/json',
        "Authorization: Bearer {$configuration->token}"
        ),
    ));

    $response = curl_exec($curl);
    curl_close($curl);
    $book=json_decode($response, true);
    $message=$book['message'];
    sleep(8);

    if($message<>'AttachedDocument #'.$prefijo.$nom_numero.' generada con éxito')
    {
        if($message=='The given data was invalid.')
        {
            echo "<div class='alert alert-danger alert-dismissable'>Los datos proporcionados no son válidos.</div>";
            if(!empty($book['errors']))
            {
                foreach ($book['errors'] as $key => $value) 
                {
                    if(!empty($value))
                    {
                        foreach ($value as $key2 => $value2) 
                        {
                            echo '<div class="alert alert-warning alert-dismissable">'.$value2.'</div>';
                            //echo "<div class='alert alert-warning alert-dismissable'>".$book["errors"]["number"][0] . "</div>";  
                        }
                    }
                }
            }
        }
    }
    else
    {
        $resultado=json_decode($response);
        $cune=$resultado->ResponseDian->Envelope->Body->SendNominaSyncResponse->SendNominaSyncResult->XmlDocumentKey;
        $validacion=$resultado->ResponseDian->Envelope->Body->SendNominaSyncResponse->SendNominaSyncResult->IsValid; 

        if($validacion=="true")
        {
            echo "<div class='alert alert-info alert-dismissable'> LA NOMINA $prefijo$nom_numero FUE CARGADA CORRECTAMENTE</div>";
            $fecha=date('Y-m-d ');

            $can=mysqli_query($con,"SELECT MAX(nom_id)as nom_id FROM dian_nomina") or die(mysqli_error($con)); 
            $dato=mysqli_fetch_array($can);
            $nom_id=$dato['nom_id']+1;

            $insert_tmp=mysqli_query($con,"INSERT INTO dian_nomina (nom_id,nom_tipo_doc,nom_ser_id,nom_prefijo,nom_numero,nom_cune,nom_fecha,nom_fecha_inicio,nom_fecha_fin,nom_notas,nom_emp_id,nom_estado,empresa) 
            VALUES ('$nom_id','9','$ser_id','$prefijo','$nom_numero','$cune','$fecha','$nom_fecha_inicio','$nom_fecha_fin','$notas','$empl_id','Aprobada','$empresa')") or die(mysqli_error($con)); 
            

            //devengados
            if($salario=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('SALARIO','','$valor_salario','dev','$nom_id')") or die(mysqli_error($con));
            }

            //transporte
            if($transporte=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('AUXILIO DE TRANSPORTE','','$valor_transporte','dev','$nom_id')") or die(mysqli_error($con));
            }

            //dotaciones
            if($dotaciones=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR DOTACIONES ','','$valor_dotaciones','dev','$nom_id')") or die(mysqli_error($con));
            }

            //sostenimiento
            if($sostenimiento=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR SOSTENIMIENTO ','','$valor_sostenimiento','dev','$nom_id')") or die(mysqli_error($con));
            }

            //teletrabajo
            if($teletrabajo=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR TELETRABAJO ','','$valor_teletrabajo','dev','$nom_id')") or die(mysqli_error($con));
            }

            //retiro
            if($retiro=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR RETIRO DE LA EMPRESA','','$valor_retiro','dev','$nom_id')") or die(mysqli_error($con));
            }

            //imdemnizacion
            if($imdemnizacion=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR IMDEMNIZACION ','','$valor_imdemnizacion','dev','$nom_id')") or die(mysqli_error($con)); 
            }

            //comision
            if($comision=='si'){
                $valor_comision=$_POST['valor_comision'];
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR COMISION ','','$valor_comision','dev','$nom_id')") or die(mysqli_error($con));
            }

            //incapacidad
            if($incapacidad=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR INCAPACIDAD TIPO $tipo_inc','','$valor_incapacidad','dev','$nom_id')") or die(mysqli_error($con));
            }

            //maternidad
            if($maternidad=='si'){
                $valor_maternidad=$_POST['valor_maternidad'];
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR LICENCIA DE MATERNIDAD ','','$valor_maternidad','dev','$nom_id')") or die(mysqli_error($con));
            }

            //licencia
            if($licencia=='si'){
                $valor_licencia=$_POST['valor_licencia'];
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR LICENCIA REMUNERADA','','$valor_licencia','dev','$nom_id')") or die(mysqli_error($con));
            }

            //bonificacion
            if($bonificacion=='si'){
                if($salarial_bonificacion>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO POR BONIFICACION SALARIAL ','','$salarial_bonificacion','dev','$nom_id')") or die(mysqli_error($con));
                }
                
                if($no_salarial_bonificacion>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO POR BONIFICACION NO SALARIAL ','','$no_salarial_bonificacion','dev','$nom_id')") or die(mysqli_error($con));
                }
            }

            //auxilio
            if($auxilio=='si'){
                if($salarial_auxilio>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO POR AUXILIO SALARIAL ','','$salarial_auxilio','dev','$nom_id')") or die(mysqli_error($con));
                }
                
                if($no_salarial_auxilio>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO POR AUXILIO NO SALARIAL ','','$no_salarial_auxilio','dev','$nom_id')") or die(mysqli_error($con));
                }
            }

            //huelga
            if($huelga=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE HUELGA LEGAL','','$valor_huelga','dev','$nom_id')") or die(mysqli_error($con));
            }

            //otros
            if($otros=='si'){
                if($salarial_otros>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('INGRESO POR OTROS CONCEPTOS SALARIAL ','','$salarial_otros','dev','$nom_id')") or die(mysqli_error($con));
                }
                
                if($no_salarial_otros>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('INGRESO POR OTROS CONCEPTOS NO SALARIAL ','','$no_salarial_otros','dev','$nom_id')") or die(mysqli_error($con));
                }
            }

            //compensacion
            if($compensacion=='si'){
                if($ordinaria>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('COMPENSACION ORDINARIA ','','$ordinaria','dev','$nom_id')") or die(mysqli_error($con));
                }
                
                if($extraordinaria>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('COMPENSACION EXTRAORDINARIA ','','$extraordinaria','dev','$nom_id')") or die(mysqli_error($con));
                }
            }

            //bonos
            if($bonos=='si'){
                if($salarial_bonos>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO SALARIAL PARA ALIMENTACION MEDIANTE BONOS DIFERENTE A EFECTIVO O CONSIGNACION ','','$salarial_bonos','dev','$nom_id')") or die(mysqli_error($con));
                }
                
                if($no_salarial_bonos>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('PAGO NO SALARIAL PARA ALIMENTACION MEDIANTE BONOS DIFERENTE A EFECTIVO O CONSIGNACION','','$no_salarial_bonos','dev','$nom_id')") or die(mysqli_error($con));
                }
            }

            //terceras
            if($terceras=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE TERCERAS PARTES ','','$valor_terceras','dev','$nom_id')") or die(mysqli_error($con));
            }

            //anticipo
            if($anticipo=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO POR ANTICIPO ','','$valor_anticipo','dev','$nom_id')") or die(mysqli_error($con));
            }

            $resultado = mysqli_query($con, "SELECT * FROM dian_nomina_horas_extras_temp where usuario='$usu_id'");
            while($array=mysqli_fetch_array($resultado)) 
            {
                $hor_nombre=$array['hor_nombre'];
                $hor_inicio=$array['hor_inicio'];
                $hor_fin=$array['hor_fin'];
                $hor_cantidad=$array['hor_cantidad'];
                $hor_valor= $array['hor_valor'];
                $total_hor=$hor_cantidad*$hor_valor;

                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('$hor_nombre ($hor_cantidad) DESDE $hor_inicio HASTA $hor_fin','','$total_hor','dev','$nom_id')") or die(mysqli_error($con));
            }
            $borrar_sql=mysqli_query($con,"DELETE FROM dian_nomina_horas_extras_temp WHERE usuario='$usu_id' ") or die(mysqli_error($con));


           


            //deducidos

            //salud
            if($salud=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DEDUCCION POR SALUD','','$valor_salud','ded','$nom_id')") or die(mysqli_error($con));
            }

            //pension
            if($pension=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DEDUCCION POR PENSION','','$valor_pension','ded','$nom_id')") or die(mysqli_error($con));
            }

            //sindicato
            if($sindicato=='si'){
                $porcentaje=$_POST['porcentaje'];
                $valor_sindicato=$_POST['valor_sindicato'];
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DEDUCCION POR APORTE AL SINDICATO DEL  $porcentaje%','','$valor_sindicato','ded','$nom_id')") or die(mysqli_error($con));
            }

            //sancion
            if($sancion=='si'){
                if($publica>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('DEDUCCION POR SANCION PUBLICA','','$publica','ded','$nom_id')") or die(mysqli_error($con));
                }
                
                if($privada>0)
                {
                    $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                    VALUES ('DEDUCCION POR SANCION PRIVADA','','$privada','ded','$nom_id')") or die(mysqli_error($con));
                }
            }


            //pedidos
            if($pedidos=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('$descripcion','','$valor_pedido','ded','$nom_id')") or die(mysqli_error($con));
            }

            //terceros
            if($terceros=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR PAGO A TERCEROS','','$valor_terceros','ded','$nom_id')") or die(mysqli_error($con));
            }


            //anticipo_ded
            if($anticipo_ded=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR ANTICIPO','','$valor_anticipo_ded','ded','$nom_id')") or die(mysqli_error($con));
            }


            //otras_deducciones
            if($otras_deducciones=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('OTRAS DEDUCCIONES','','$valor_otras_deducciones','ded','$nom_id')") or die(mysqli_error($con));
            }

            //voluntaria
            if($voluntaria=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE PENSION VOLUNTARIA','','$valor_voluntaria','ded','$nom_id')") or die(mysqli_error($con));
            }

            //retencion
            if($retencion=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR RETENCION EN LA FUENTE','','$valor_retencion','ded','$nom_id')") or die(mysqli_error($con));
            }

            //construccion
            if($construccion=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR FOMENTO Y AHORRO A LA CONSTRUCCION','','$valor_construccion','ded','$nom_id')") or die(mysqli_error($con));
            }

            //cooperativa
            if($cooperativa=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR COOPERATIVA','','$valor_cooperativa','ded','$nom_id')") or die(mysqli_error($con));
            }

            //embargos
            if($embargos=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR EMBARGOS FISCALES','','$valor_embargos','ded','$nom_id')") or die(mysqli_error($con));
            }


            //suplementario
            if($suplementario=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR PLAN SUPLEMNTARIO','','$valor_suplementario','ded','$nom_id')") or die(mysqli_error($con));
            }


            //educacion
            if($educacion=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR EDUCACION','','$valor_educacion','ded','$nom_id')") or die(mysqli_error($con));
            }

            //reintegro
            if($reintegro=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR REINTEGRO','','$valor_reintegro','ded','$nom_id')") or die(mysqli_error($con));
            }

            //deuda
            if($deuda=='si'){
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('DESCUENTO POR DEUDA','','$valor_deuda','ded','$nom_id')") or die(mysqli_error($con));
            }



            
            //provisiones
            if($vacaciones=='si')
            {
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE VACACIONES ','','$vac_pago','pro','$nom_id')") or die(mysqli_error($con));
            }
            if($cesantias=='si')
            {
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE CESANTIAS','','$suma_cesantias','pro','$nom_id')") or die(mysqli_error($con));
            }
            if($primas=='si')
            {
                $can9=mysqli_query($con,"INSERT INTO dian_nomina_detalle (nomd_nombre,nomd_nombre_in,nomd_precio,nomd_tipo,nom_id) 
                VALUES ('PAGO DE PRIMA','','$pri_salarial','pro','$nom_id')") or die(mysqli_error($con));
            }
        }
        else if($validacion=="false")
        {
            $regla=$resultado->ResponseDian->Envelope->Body->SendNominaSyncResponse->SendNominaSyncResult->ErrorMessage; 
            $estado=$resultado->ResponseDian->Envelope->Body->SendNominaSyncResponse->SendNominaSyncResult->DianResponse->StatusMessage;
            echo "<div class='alert alert-info alert-dismissable'> LA NOMINA $prefijo$nom_numero NO FUE CARGADA </div>";
            echo "<div class='alert alert-danger alert-dismissable'>"; echo $estado; echo "</div>";
           
            foreach ((array) $regla as $val) 
            { 
                echo "<div class='alert alert-warning alert-dismissable'>";
                echo $val, '<br>';
                echo "</div>";
            }
          
        }
    }
}
?>